<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.lv.jtp.getenergy</name>
<version>13</version>
<engineversion>25</engineversion>
<description>JTP - handles refuelling of AI bigships</description>
<arguments>
<argument index="1" name="ship" type="Var/Ship" desc="s" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$ship&#160;-&gt;</var><text>&#160;set&#160;race&#160;logic&#160;control&#160;enabled&#160;to&#160;</text><var>[FALSE]</var></line>
<line linenr="002" indent=""></line>
<line linenr="003" indent=""><var>$jdc&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Jumpdrive</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="004" indent=""><var>if&#160;</var><var>$jdc</var><text>&#160;</text><var>==</var><text>&#160;</text><var>0</var></line>
<line linenr="005" indent="&#160;"><var>=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;install&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>Jumpdrive</var></line>
<line linenr="006" indent="&#160;"><var>=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;install&#160;</text><var>5000</var><text>&#160;units&#160;of&#160;</text><var>Cargo&#160;bay&#160;extension</var></line>
<line linenr="007" indent=""><text>end</text></line>
<line linenr="008" indent=""></line>
<line linenr="009" indent=""></line>
<line linenr="010" indent=""><var>$anull&#160;=&#160;</var><var>null</var></line>
<line linenr="011" indent=""><var>$flag&#160;=&#160;</var><var>[Find.Nearest]</var></line>
<line linenr="012" indent=""></line>
<line linenr="013" indent=""><var>$enchk&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>Energy&#160;Cells</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="014" indent=""></line>
<line linenr="015" indent=""><var>if&#160;</var><var>$enchk</var><text>&#160;</text><var>==</var><text>&#160;</text><var>0</var></line>
<line linenr="016" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="017" indent=""><text>end</text></line>
<line linenr="018" indent=""></line>
<line linenr="019" indent=""><var>$objc&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;object&#160;class</text></line>
<line linenr="020" indent=""><var>$orace&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="021" indent=""></line>
<line linenr="022" indent=""><var>if&#160;not&#160;</var><var>$objc</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Cruiser&#160;M6</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$objc</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Destroyer&#160;M2</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$objc</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Battle&#160;Ship&#160;M1</var></line>
<line linenr="023" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="024" indent=""><text>end</text></line>
<line linenr="025" indent=""></line>
<line linenr="026" indent=""><var>loop</var><text>:</text></line>
<line linenr="027" indent=""><var>$sec&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="028" indent=""></line>
<line linenr="029" indent=""><var>$energy&#160;=&#160;</var><text>&#160;find&#160;station:&#160;product&#160;</text><var>Energy&#160;Cells</var><text>&#160;with&#160;min.&#160;jumps:&#160;&#160;max.price=</text><var>18</var><text>,&#160;amount=</text><var>$enchk</var><text>,&#160;max.jumps=</text><var>0</var><text>,&#160;startsector=</text><var>$sec</var><text>,&#160;trader=</text><var>$ship</var></line>
<line linenr="030" indent=""><var>if&#160;not&#160;</var><var>$energy&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="031" indent="&#160;"><var>$energy&#160;=&#160;</var><text>&#160;find&#160;station:&#160;product&#160;</text><var>Energy&#160;Cells</var><text>&#160;with&#160;min.&#160;jumps:&#160;&#160;max.price=</text><var>18</var><text>,&#160;amount=</text><var>$enchk</var><text>,&#160;max.jumps=</text><var>3</var><text>,&#160;startsector=</text><var>$sec</var><text>,&#160;trader=</text><var>$ship</var></line>
<line linenr="032" indent=""><text>end</text></line>
<line linenr="033" indent=""><var>if&#160;not&#160;</var><var>$energy&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="034" indent="&#160;"><var>$energy&#160;=&#160;</var><text>&#160;find&#160;station:&#160;product&#160;</text><var>Energy&#160;Cells</var><text>&#160;with&#160;min.&#160;jumps:&#160;&#160;max.price=</text><var>18</var><text>,&#160;amount=</text><var>$enchk</var><text>,&#160;max.jumps=</text><var>100</var><text>,&#160;startsector=</text><var>$sec</var><text>,&#160;trader=</text><var>$ship</var></line>
<line linenr="035" indent=""><text>end</text></line>
<line linenr="036" indent=""></line>
<line linenr="037" interruptable="@" indent=""><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>200</var><text>&#160;ms</text></line>
<line linenr="038" indent=""></line>
<line linenr="039" indent=""><var>$stockchk&#160;=&#160;</var><var>$energy&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Energy&#160;Cells</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="040" indent=""></line>
<line linenr="041" indent=""><var>if&#160;</var><var>$stockchk</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>300</var></line>
<line linenr="042" indent="&#160;"><var>$flag&#160;=&#160;</var><var>[Find.Random]</var></line>
<line linenr="043" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop</var></line>
<line linenr="044" indent=""><text>end</text></line>
<line linenr="045" indent=""></line>
<line linenr="046" indent=""></line>
<line linenr="047" indent=""></line>
<line linenr="048" indent=""><var>$sppsec&#160;=&#160;</var><var>$energy&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="049" indent=""></line>
<line linenr="050" indent=""><var>$needen&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;needed&#160;jump&#160;drive&#160;energy&#160;for&#160;jump&#160;to&#160;sector&#160;</text><var>$sppsec</var></line>
<line linenr="051" indent=""><var>$enchk&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Energy&#160;Cells</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="052" indent=""></line>
<line linenr="053" indent=""><var>if&#160;</var><var>$enchk</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>$needen</var></line>
<line linenr="054" indent="&#160;"><var>if&#160;</var><var>$sec</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>$sppsec</var></line>
<line linenr="055" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.jump</call><text>&#160;:&#160;</text><text>&#160;jumpsec=</text><var>$sppsec</var></line>
<line linenr="056" indent="&#160;"><text>end</text></line>
<line linenr="057" indent=""><text>end</text></line>
<line linenr="058" indent=""></line>
<line linenr="059" indent=""></line>
<line linenr="060" indent=""><var>$x&#160;=&#160;</var><var>$energy&#160;-&gt;</var><text>&#160;get&#160;x&#160;position</text></line>
<line linenr="061" indent=""><var>$y&#160;=&#160;</var><var>$energy&#160;-&gt;</var><text>&#160;get&#160;y&#160;position</text></line>
<line linenr="062" indent=""><var>$z&#160;=&#160;</var><var>$energy&#160;-&gt;</var><text>&#160;get&#160;z&#160;position</text></line>
<line linenr="063" indent=""><var>$ensec&#160;=&#160;</var><var>$energy&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="064" indent=""></line>
<line linenr="065" indent=""></line>
<line linenr="066" interruptable="@" indent=""><var>=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!move.movetoposition</call><text>&#160;:&#160;</text><text>&#160;sector=</text><var>$ensec</var><text>&#160;</text><text>&#160;position&#160;x=</text><var>$x</var><text>&#160;</text><text>&#160;position&#160;y=</text><var>$y</var><text>&#160;</text><text>&#160;position&#160;z=</text><var>$z</var><text>&#160;</text><text>&#160;precision=</text><var>5000</var></line>
<line linenr="067" indent=""></line>
<line linenr="068" indent=""></line>
<line linenr="069" indent=""><var>$stockchk&#160;=&#160;</var><var>$energy&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Energy&#160;Cells</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="070" indent=""><var>$adden&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;free&#160;volume&#160;of&#160;ware&#160;</text><var>Energy&#160;Cells</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="071" indent=""></line>
<line linenr="072" indent=""><var>if&#160;</var><var>$stockchk</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>$adden</var></line>
<line linenr="073" indent="&#160;"><var>=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;add&#160;</text><var>$adden</var><text>&#160;units&#160;of&#160;</text><var>Energy&#160;Cells</var></line>
<line linenr="074" indent="&#160;"><var>$adden&#160;=&#160;</var><var>-</var><text>&#160;</text><var>$adden</var></line>
<line linenr="075" indent="&#160;"><var>=&#160;</var><var>$energy&#160;-&gt;</var><text>&#160;add&#160;</text><var>$adden</var><text>&#160;units&#160;of&#160;</text><var>Energy&#160;Cells</var></line>
<line linenr="076" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>200</var><text>&#160;ms</text></line>
<line linenr="077" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="078" indent=""><text>end</text></line>
<line linenr="079" indent=""></line>
<line linenr="080" indent=""><var>if&#160;</var><var>$stockchk</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$adden</var></line>
<line linenr="081" indent="&#160;"><var>=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;add&#160;</text><var>$stockchk</var><text>&#160;units&#160;of&#160;</text><var>Energy&#160;Cells</var></line>
<line linenr="082" indent="&#160;"><var>$stockchk&#160;=&#160;</var><var>-</var><text>&#160;</text><var>$stockchk</var></line>
<line linenr="083" indent="&#160;"><var>=&#160;</var><var>$enchk&#160;-&gt;</var><text>&#160;add&#160;</text><var>$stockchk</var><text>&#160;units&#160;of&#160;</text><var>Energy&#160;Cells</var></line>
<line linenr="084" indent="&#160;"><var>$flag&#160;=&#160;</var><var>[Find.Nearest]</var></line>
<line linenr="085" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>200</var><text>&#160;ms</text></line>
<line linenr="086" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop</var></line>
<line linenr="087" indent=""><text>end</text></line>
<line linenr="088" indent=""></line>
<line linenr="089" indent=""></line>
<line linenr="090" indent=""></line>
<line linenr="091" indent=""></line>
<line linenr="092" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.lv.jtp.getenergy" /><sval type="int" val="25" /><sval type="string" val="JTP - handles refuelling of AI bigships" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="array" size="17"><sval type="string" val="ship" /><sval type="string" val="jdc" /><sval type="string" val="anull" /><sval type="string" val="flag" /><sval type="string" val="enchk" /><sval type="string" val="objc" /><sval type="string" val="orace" /><sval type="string" val="sec" /><sval type="string" val="energy" /><sval type="string" val="stockchk" /><sval type="string" val="sppsec" /><sval type="string" val="needen" /><sval type="string" val="x" /><sval type="string" val="y" /><sval type="string" val="z" /><sval type="string" val="ensec" /><sval type="string" val="adden" /></sval><sval type="array" size="53"><sval type="array" size="5"><sval type="int" val="1021" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="1048611" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610611453" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="1048611" /></sval><sval type="array" size="8"><sval type="int" val="647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="5000" /><sval type="int" val="9" /><sval type="int" val="1048592" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="9" /><sval type="int" val="720896" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610173" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="4"><sval type="int" val="700" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="5" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="6" /></sval><sval type="array" size="37"><sval type="int" val="104" /><sval type="int" val="-536867324" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="12" /><sval type="int" val="2026" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="12" /><sval type="int" val="2022" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="12" /><sval type="int" val="2021" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="11" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /><sval type="int" val="10" /><sval type="int" val="-8" /><sval type="int" val="0" /><sval type="int" val="-9" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="loop" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="7" /></sval><sval type="array" size="14"><sval type="int" val="607" /><sval type="int" val="8" /><sval type="int" val="9" /><sval type="int" val="720896" /><sval type="int" val="4" /><sval type="int" val="18" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="-536866044" /></sval><sval type="array" size="14"><sval type="int" val="607" /><sval type="int" val="8" /><sval type="int" val="9" /><sval type="int" val="720896" /><sval type="int" val="4" /><sval type="int" val="18" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="-536865532" /></sval><sval type="array" size="14"><sval type="int" val="607" /><sval type="int" val="8" /><sval type="int" val="9" /><sval type="int" val="720896" /><sval type="int" val="4" /><sval type="int" val="18" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="200" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="9" /><sval type="int" val="9" /><sval type="int" val="720896" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610606077" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="300" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="105" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="14" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="567" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="9" /><sval type="int" val="720896" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604541" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604541" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.jump" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="4"><sval type="int" val="740" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="12" /></sval><sval type="array" size="4"><sval type="int" val="741" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="13" /></sval><sval type="array" size="4"><sval type="int" val="742" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="14" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="15" /></sval><sval type="array" size="16"><sval type="int" val="102" /><sval type="string" val="!move.movetoposition" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="4" /><sval type="int" val="5000" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="9" /><sval type="int" val="9" /><sval type="int" val="720896" /></sval><sval type="array" size="6"><sval type="int" val="615" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="16" /><sval type="int" val="9" /><sval type="int" val="720896" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610601213" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="9" /><sval type="int" val="720896" /></sval><sval type="array" size="10"><sval type="int" val="104" /><sval type="int" val="16" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="2" /><sval type="int" val="65555" /><sval type="int" val="-1" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="9" /><sval type="int" val="720896" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="200" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610599421" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="9" /><sval type="int" val="720896" /></sval><sval type="array" size="10"><sval type="int" val="104" /><sval type="int" val="9" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="2" /><sval type="int" val="65555" /><sval type="int" val="-1" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="9" /><sval type="int" val="720896" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="200" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="14" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="21" /><sval type="string" val="s" /></sval></sval><sval type="array" size="39"><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="8" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="27" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="39" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="45" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="45" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="52" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="52" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="52" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="52" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="52" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
